;InnoSetupVersion=3.0.5

[Setup]
AppName=Cool Beans System Info
AppVerName=Cool Beans System Info 2.0
AppId=Cool Beans System Info
AppPublisher=Cool Beans Software, LLC
AppPublisherURL=http://www.coolbeans.ws
AppSupportURL=http://www.coolbeans.ws
AppUpdatesURL=http://www.coolbeans.ws
AppMutex=CSI2
DefaultDirName={pf}\Cool Beans System Info
DefaultGroupName=Cool Beans System Info
OutputBaseFilename=setup
Compression=zip
PrivilegesRequired=none
LicenseFile=embedded\License.rtf
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\Cool Beans System Info.exe"; DestDir: "{app}"; MinVersion: 4.1,4.0; Flags: ignoreversion 
Source: "{app}\SystemInfo.ini"; DestDir: "{app}"; MinVersion: 4.1,4.0; Flags: onlyifdoesntexist 
Source: "{app}\help\contents.htm"; DestDir: "{app}\help"; MinVersion: 4.1,4.0; Flags: ignoreversion 
Source: "{app}\help\cpu_enhanced.gif"; DestDir: "{app}\help"; MinVersion: 4.1,4.0; Flags: ignoreversion 
Source: "{app}\help\cpu_solo.gif"; DestDir: "{app}\help"; MinVersion: 4.1,4.0; Flags: ignoreversion 
Source: "{app}\help\cpu_solo_border.gif"; DestDir: "{app}\help"; MinVersion: 4.1,4.0; Flags: ignoreversion 
Source: "{app}\help\default.gif"; DestDir: "{app}\help"; MinVersion: 4.1,4.0; Flags: ignoreversion 
Source: "{app}\help\floating.htm"; DestDir: "{app}\help"; MinVersion: 4.1,4.0; Flags: ignoreversion 
Source: "{app}\help\help.htm"; DestDir: "{app}\help"; MinVersion: 4.1,4.0; Flags: ignoreversion 
Source: "{app}\help\logo.gif"; DestDir: "{app}\help"; MinVersion: 4.1,4.0; Flags: ignoreversion 
Source: "{app}\help\main.htm"; DestDir: "{app}\help"; MinVersion: 4.1,4.0; Flags: ignoreversion 
Source: "{app}\help\mainwindow.htm"; DestDir: "{app}\help"; MinVersion: 4.1,4.0; Flags: ignoreversion 
Source: "{app}\help\network.gif"; DestDir: "{app}\help"; MinVersion: 4.1,4.0; Flags: ignoreversion 
Source: "{app}\help\options.htm"; DestDir: "{app}\help"; MinVersion: 4.1,4.0; Flags: ignoreversion 
Source: "{app}\help\overview.htm"; DestDir: "{app}\help"; MinVersion: 4.1,4.0; Flags: ignoreversion 
Source: "{app}\help\pixel.gif"; DestDir: "{app}\help"; MinVersion: 4.1,4.0; Flags: ignoreversion 
Source: "{app}\help\small_sysinfo.gif"; DestDir: "{app}\help"; MinVersion: 4.1,4.0; Flags: ignoreversion 
Source: "{app}\help\stopwatch.htm"; DestDir: "{app}\help"; MinVersion: 4.1,4.0; Flags: ignoreversion 
Source: "{app}\help\sysinfo_options_cpu.gif"; DestDir: "{app}\help"; MinVersion: 4.1,4.0; Flags: ignoreversion 
Source: "{app}\help\sysinfo_options_main.gif"; DestDir: "{app}\help"; MinVersion: 4.1,4.0; Flags: ignoreversion 
Source: "{app}\help\sysinfo_options_misc.gif"; DestDir: "{app}\help"; MinVersion: 4.1,4.0; Flags: ignoreversion 
Source: "{app}\help\sysinfo_options_network.gif"; DestDir: "{app}\help"; MinVersion: 4.1,4.0; Flags: ignoreversion 
Source: "{app}\help\sysinfo_stopwatch.gif"; DestDir: "{app}\help"; MinVersion: 4.1,4.0; Flags: ignoreversion 
Source: "{app}\help\sysinfo_task_cpu.gif"; DestDir: "{app}\help"; MinVersion: 4.1,4.0; Flags: ignoreversion 
Source: "{app}\help\sysinfo_task_folders.gif"; DestDir: "{app}\help"; MinVersion: 4.1,4.0; Flags: ignoreversion 
Source: "{app}\help\sysinfo_task_general.gif"; DestDir: "{app}\help"; MinVersion: 4.1,4.0; Flags: ignoreversion 
Source: "{app}\help\sysinfo_task_network.gif"; DestDir: "{app}\help"; MinVersion: 4.1,4.0; Flags: ignoreversion 
Source: "{app}\help\sysinfo_task_processes.gif"; DestDir: "{app}\help"; MinVersion: 4.1,4.0; Flags: ignoreversion 
Source: "{app}\help\sysinfo_task_tasks.gif"; DestDir: "{app}\help"; MinVersion: 4.1,4.0; Flags: ignoreversion 
Source: "{app}\help\systemdetails.htm"; DestDir: "{app}\help"; MinVersion: 4.1,4.0; Flags: ignoreversion 
Source: "{app}\help\whatsnew.htm"; DestDir: "{app}\help"; MinVersion: 4.1,4.0; Flags: ignoreversion 
Source: "{app}\help\legal.htm"; DestDir: "{app}\help"; MinVersion: 4.1,4.0; Flags: ignoreversion 

[Registry]
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Run"; ValueName: "Cool Beans System Info"; MinVersion: 4.1,4.0; Flags: uninsdeletevalue 

[INI]
FileName: "{app}\Cool Beans System Info.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.coolbeans.ws"; 

[Run]
Filename: "{app}\Cool Beans System Info.exe"; Description: "Launch Cool Beans System Info"; MinVersion: 4.1,4.0; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\Cool Beans System Info"; Filename: "{app}\Cool Beans System Info.exe"; WorkingDir: "{app}"; MinVersion: 4.1,4.0; 
Name: "{group}\Cool Beans System Info on the Web"; Filename: "{app}\Cool Beans System Info.url"; MinVersion: 4.1,4.0; 
Name: "{group}\Uninstall Cool Beans System Info"; Filename: "{uninstallexe}"; MinVersion: 4.1,4.0; 
Name: "{userdesktop}\Cool Beans System Info"; Filename: "{app}\Cool Beans System Info.exe"; Tasks: desktopicon; MinVersion: 4.1,4.0; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\Cool Beans System Info"; Filename: "{app}\Cool Beans System Info.exe"; Tasks: quicklaunchicon; MinVersion: 4.1,4.0; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; MinVersion: 4.1,4.0; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; MinVersion: 4.1,4.0; 

[UninstallDelete]
Type: files; Name: "{app}\Cool Beans System Info.url"; 
